glosslist
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# glosslist

glosslist — A wrapper for a set of `GlossEntry`s

## Synopsis

### Content Model

    glosslist ::=
    (glossentry+)

### Attributes

Common attributes

## Description

While `Glossary`s are usually limited to component or section boundaries, appearing at the end of a `Book` or `Chapter`, for instance, `GlossList`s can appear anywhere that the other list types are allowed.

Using a `GlossList` in running text, instead of a `VariableList`, for example, maintains the semantic distinction of a Glossary. This distinction may be necessary if you want to automatically point to the members of the list with `GlossTerm`s in the body of the text.

### Processing expectations

Formatted as a displayed block.

### Parents

These elements contain glosslist: `answer`, `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `caption`, `caution`, `chapter`, `colophon`, `constraintdef`, `dedication`, `entry`, `example`, `footnote`, `glossary`, `glossdef`, `glossdiv`, `highlights`, `important`, `index`, `informalexample`, `legalnotice`, `listitem`, `msgexplan`, `msgtext`, `note`, `para`, `partintro`, `preface`, `procedure`, `qandadiv`, `qandaset`, `question`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `revdescription`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `sidebar`, `simplesect`, `step`, `textobject`, `tip`, `warning`.

### Children

The following elements occur in glosslist: `glossentry`.

## Examples

    <!DOCTYPE glosslist PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <glosslist>
    <glossentry><glossterm>C</glossterm>
    <glossdef>
    <para>
    A procedural programming language invented by K&amp;R.
    </para>
    </glossdef>
    </glossentry>
    <glossentry><glossterm>Pascal</glossterm>
    <glossdef>
    <para>
    A procedural programming language invented by Niklaus Wirth.
    </para>
    </glossdef>
    </glossentry>
    </glosslist>

C

  A procedural programming language invented by K&R.

Pascal

  A procedural programming language invented by Niklaus Wirth.

Prev | Home | Next
glossentry | Up | glosssee

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.